# MessageFilter.h File Reference

Message filter plugin. Assigns systems to FilterSets. Each FilterSet limits what messages are allowed. This is a security related plugin. More...

`#include "NativeFeatureIncludes.h"`
`#include "RakNetTypes.h"`
`#include "PluginInterface2.h"`
`#include "DS_OrderedList.h"`
`#include "Export.h"`

## Classes
class | MessageFilter
| Assigns systems to FilterSets. Each FilterSet limits what kinds of messages are allowed. More...
## Defines
#define | MESSAGE_FILTER_MAX_MESSAGE_ID 256
| MessageIdentifier (ID_*) values shoudln't go higher than this. Change it if you do.

## Detailed Description

Message filter plugin. Assigns systems to FilterSets. Each FilterSet limits what messages are allowed. This is a security related plugin.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.